# /api/queue/create

Creating a Queue

* Endpoint: /api/queue/create
* Method: POST;
* Authorization: required;
* Parameters:

Name (required): The name of the new Queue;

Description: The description of the new Queue;

UniqueTasks: Allow only unique task names in the new Queue\
(0 - No, 1 - Yes);

AutoChangeStatus: Set the status to "Not Completed" for tasks with the status "In Progress" that have a job with the status "Not Completed", "Stopped", or "Interrupted" (0 - No, 1 - Yes).

* Example:

| Request                                                      | Response                                                               |
| ------------------------------------------------------------ | ---------------------------------------------------------------------- |
| `json</p><p> {</p><p> "Name": "Test Queue",</p><p> }</p><p>` | <p>\[</p><p>"guid": "c39713ea-d8b9-4669-976e-5ff39677dc64"</p><p>]</p> |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sherparpa.ru/en/sherpa-rpa/sherpa-orchestrator/api/ochered/api-queue-create.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
